# Recurring order copies

Recurring order copies generate asynchronously a target order from the associated source order and [order subscription](/core-api-reference/order_subscriptions.md) (and related [order subscription items](/core-api-reference/order_subscription_items.md)) and allow repeating it according to a specified frequency (must be one of those available for the market, as set at the [subscription model](/core-api-reference/subscription_models.md) level).

{% hint style="info" %}
When copying an order recursively the source order is never reused to generate any next runs, which are built on top of the associated order subscription and related order subscription items only. Recurring order copies never compute promotions and gift cards. That means that you can apply promotions to the source order only but not to the automatically generated recurring target orders.
{% endhint %}

Recurring order copies cannot be used standalone, they must be always associated with an automatic order subscription.

<details>

<summary>Data model</summary>

Check the related [ER diagram](/data-model/orders/subscriptions-and-order-copies.md) and explore the flowchart that illustrates how the recurring order copy resource relates to the other API entities.

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/recurring_order_copies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
